org.apache.pdfbox.pdmodel.interactive.form

## Class PDCheckBox

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDField
  - - org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField
    - - org.apache.pdfbox.pdmodel.interactive.form.PDButton
      - - org.apache.pdfbox.pdmodel.interactive.form.PDCheckBox

All Implemented Interfaces:
  COSObjectable

    public final class PDCheckBox
    extends PDButton

A check box toggles between two states, on and off.

Author:
  Ben Litchfield, sug

### Constructor Summary

Constructors
Constructor and Description
`PDCheckBox(PDAcroForm acroForm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `check()` Checks the check box.
`String` `getOnValue()` Get the value which sets the check box to the On state.
`boolean` `isChecked()` This will tell if this radio button is currently checked or not.
`void` `unCheck()` Unchecks the check box.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDButton

`getDefaultValue, getExportValues, getOnValues, getValue, getValueAsString, isPushButton, isRadioButton, setDefaultValue, setExportValues, setValue, setValue`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField

`applyChange, getFieldFlags, getFieldType, getWidgets, importFDF, setActions, setWidgets`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDField

`equals, getAcroForm, getActions, getAlternateFieldName, getCOSObject, getFullyQualifiedName, getInheritableAttribute, getMappingName, getParent, getPartialName, hashCode, isNoExport, isReadOnly, isRequired, setAlternateFieldName, setFieldFlags, setMappingName, setNoExport, setPartialName, setReadOnly, setRequired, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDCheckBox

    public PDCheckBox(PDAcroForm acroForm)

Parameters:
  `acroForm` - The acroform.
See Also:
  `PDField(PDAcroForm)`

### Method Detail

#### isChecked

    public boolean isChecked()

This will tell if this radio button is currently checked or not. This is equivalent to calling `PDButton.getValue()`.

Returns:
  true If this field is checked.

#### check

    public void check()
               throws IOException

Checks the check box.

Throws:
  `IOException` - if the appearance couldn't be generated.

#### unCheck

    public void unCheck()
                 throws IOException

Unchecks the check box.

Throws:
  `IOException` - if the appearance couldn't be generated.

#### getOnValue

    public String getOnValue()

Get the value which sets the check box to the On state.

The On value should be 'Yes' but other values are possible so we need to look for that. On the other hand the Off value shall always be 'Off'. If not set or not part of the normal appearance keys 'Off' is the default

Returns:
  the value setting the check box to the On state. If an empty string is returned there is no appearance definition.